# dateParts

    array dateParts(timestamp, timeZone)

Returns an array with date parts of the timestamp in timeZone.

The returned array contains the following elements:

Index | Description | Example
--- | --- | ---
0 | Year | 2014
1 | Month (0-11) | 0
2 | Day in month (1-31) | 31
3 | Hour of day (0-23) | 23
4 | Minute in hour (0-59) | 59
5 | Second in minute (0-59) | 59
6 | Millisecond (0-999) | 123
7 | Day of week (0-6, sun-sat) | 0
8 | Week in year | 2
9 | Day in year | 189
10 | Daylight savings offset (seconds) | 3600.0

Note! Months are 0-11, not 1-12.

## Parameters

1. timestamp — unix timestamp in time zone.
2. timeZone — optional time zone, default is current time zone.

## Returns

- an array with the date parts of timestamp.